## FFTSHIFT Shift FFT Output

Section: Transforms/Decompositions

### Usage

The `fftshift` function shifts the DC component (zero-frequency) of the output from an FFT to the center of the array. For vectors this means swapping the two halves of the vector. For matrices, the first and third quadrants are swapped. So on for N-dimensional arrays. The syntax for its use is

         y = fftshift(x).

Alternately, you can specify that only one dimension be shifted

         y = fftshift(x,dim).